﻿@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700&display=swap');

:root {
    --text-h1: 32px 'Roboto Medium', Helvetica, 'Droid Sans', Tahoma, Geneva, sans-serif !important;
    --text-h2: 24px 'Roboto', sans-serif !important;
    --text-h3: 16px 'Roboto', sans-serif !important;
    --text-normal: 14px 'Roboto Medium', Helvetica, 'Droid Sans', Tahoma, Geneva, sans-serif;
    --text-small: 12px 'Roboto Medium', Helvetica, 'Droid Sans', Tahoma, Geneva, sans-serif !important;
    --color-main: #985ca5;
    --color-gray: #BABABA;
    --color-gray-light: #C5C6C2;
    --color-white: white;
    --color-dirty-white: #F2F2F2;
    --color-black: #484848;
    --color-black-light: #696969;
    --color-blue: #1466B0;
    --color-red: red;
    --color-success: #36AE82;
    --modal-background-color: rgba(186, 186, 186, 0.5);
    --textbox-radius: 3px;
    --buttons-radius: 6px;
}

.section {
    margin-top: 48px;
}

    .section > * {
        margin-top: 16px;
    }

/*-- buttons---*/
.button-panel {
    display: flex;
    align-content: flex-start;
    flex-direction: row;
    gap: 16px;
}


.action-btn {
    background-color: var(--color-main);
    color: var(--color-white) !important;
    padding: 10px 20px 10px 20px;
    text-decoration: none;
    text-transform: uppercase;
    font-family: Roboto;
    font-style: normal;
    font-weight: 700;
    font-size: 14px;
    border-radius: 5px;
    border: 1px solid var(--color-main);
    cursor: pointer;
}

    .action-btn.secondary {
        background-color: var(--color-white);
        color: var(--color-main) !important;
    }

    .action-btn.grid-button {
        height: 25px;
        font-size: 12px;
        text-transform: none;
        padding: 4px;
        width: 120px;
    }

    .action-btn[data-disabled="true"] {
        background-color: #D0CECE !important;
        color: white;
        border-color: #D0CECE !important;
        cursor: default;
        pointer-events: none;
    }

    .action-btn.secondary[data-disabled="true"] {
        background-color: white !important;
        color: #D0CECE !important;
        border-color: #D0CECE !important;
        cursor: default;
    }

.link-button {
    color: var(--color-main) !important;
    text-decoration: none;
    text-transform: uppercase;
    font-family: Roboto;
    font-size: 14px;
    font-weight: 800;
}

    .link-button.arrow-back,
    .link-button.arrow-next {
        display: flex;
        flex-direction: row;
        gap: 12px;
        align-items: center;
    }

        .link-button.arrow-back::before {
            content: " ";
            height: 24px;
            width: 24px;
            background-image: url("../../jpg/icons/icon-arrow-back.svg");
        }

        .link-button.arrow-next::after {
            content: " ";
            height: 12px;
            width: 18px;
            background-image: url("../../jpg/icons/icon-arrow-next.svg");
        }

/*-- title --*/

.title-text {
    font-family: Roboto, sans-serif;
    font-size: 28px;
    font-style: normal;
    font-weight: 700;
    letter-spacing: 0px;
    text-align: left;
    text-transform: uppercase;
    margin-bottom: 0px;
}

.line-left {
    margin-left: 12px;
    position: relative;
}

    .line-left::before {
        position: absolute;
        top: 0;
        left: 0;
        transform: translateX(-12px);
        content: " ";
        width: 3px;
        height: 100%;
        background: var(--color-main);
    }


/*--Event page--*/

.status-container {
    display: flex;
    flex-direction: row;
    column-gap: 16px;
    align-items: center;
    flex-wrap: wrap;
}

    .status-container #status-button-panel {
        margin-left: auto;
    }

    .status-container .icon {
        border: 1px solid var(--color-success);
        border-radius: 5px;
        background-color: var(--color-success);
        color: var(--color-white);
        text-transform: none;
        font-family: Roboto !important;
        font-style: normal;
        font-size: 14px;
        font-weight: 400;
        padding: 4px 8px;
        height: min-content;
    }

.message {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
}

    .message p {
        margin: 0;
        color: #C83129;
        font-family: Roboto;
        font-size: 14px;
        font-weight: 400;
    }

.details-container {
    display: flex;
    flex-flow: row wrap;
    gap: 24px;
    align-content: space-between;
    justify-content: space-between;
}

.date-location {
    width: 100%;
    max-width: 540px;
}

.map-container {
    width: 100%;
    max-width: 540px;
    height: 300px;
}

.calendar-container {
    display: flex;
    width: 100%;
    gap: 1rem;
    margin-bottom: 12px;
}



/*-- registration form page ---*/
.question-container {
}

    .question-container .input-field {
        width: 728px;
    }

    .question-container .cards-container,
    .question-container .button-panel {
        margin-top: 32px;
    }

@media screen and (max-width:840px) {
    .question-container .input-field {
        width: 100%;
    }
}

.input-field {
    border: 1px solid #D0CECE;
    box-sizing: border-box;
    border-radius: 10px;
    padding-left: 17px;
    width: 356px;
    height: 48px;
    font-family: Roboto;
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
}

    .input-field:focus {
        outline-color: var(--color-main);
    }

.label-text {
    margin-top: 24px;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 22px;
    color: #A0A0A0;
}

.custom-checkbox {
    -webkit-appearance: none;
    width: 20px;
    height: 20px;
    display: inline-block;
    background: #FFFFFF;
    border: 1px solid #BABABA;
    border-radius: 2px;
}

    .custom-checkbox:after {
        content: "";
        display: flex;
        position: relative;
        top: 3px;
        left: 6px;
        width: 6px;
        height: 11px;
        border-bottom: 2px solid #fff;
        border-right: 2px solid #fff;
        -webkit-transform: rotate(45deg);
    }

input[type=checkbox]:checked {
    background: #985CA5;
    outline: none;
    border: 1px solid rgba(50,125,255,1);
}

input[type=checkbox]:focus, input[type=checkbox]:active {
    outline: none;
}

input[type=checkbox]:hover {
    border: 1px solid #985CA5;
}

/*-- attendance page---*/
.custom-checkbox-attendence .dx-checkbox-container .dx-checkbox-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 120px;
    height: 25px;
    background-color: #985CA5;
    border: 1px solid #985CA5;
    color: white;
    border-radius: 5px;
    text-decoration: none;
    font-family: Roboto;
    font-style: normal;
    font-weight: 700;
    font-size: 14px;
    left: 0px;
}

.custom-checkbox-attendence .dx-checkbox[aria-checked="false"] .dx-checkbox-container .dx-checkbox-icon:not(.disabled) {
    color: #985CA5;
    background-color: white;
}

.custom-checkbox-attendence .dx-checkbox-container .dx-checkbox-icon::before {
    content: "Attended";
    position: absolute;
    display: block;
    width: auto;
    top: unset;
    font-size: 14px;
    margin: 0;
    left: unset;
}

.custom-checkbox-attendence .dx-checkbox[aria-checked="false"] .dx-checkbox-container .dx-checkbox-icon::before {
    content: "Not Attended";
}

#location-physical-link,
#location-physical-link:hover {
    text-decoration: none;
    color: unset;
}

    #location-physical-link .column-image-text-grey {
        overflow: hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        -webkit-line-clamp: 3;
        -webkit-box-orient: vertical;
        white-space: break-spaces;
    }

.date-location.link {
    max-width: 100%
}

.date-location .card-column-with-image {
    max-width: 100%;
}

.encounter-panel {
    margin-top: 24px;
}